

/// media break point
/// @param {Size} $min [1200px] - width
/// @param {Size} $max [1800px] - width

@mixin breakPoint ($min, $max: null){
	@if ($max) {
		@media (min-width: #{$min}) and (max-width: #{$max - 1px}){
			@content;
		}
	}
	@else {
		@media (min-width: #{$min}) {
			@content;
		}
	}
}



@mixin grid($columns: 12, $gutter: 1%, $offset: 0, $color: rgba(45, 132, 190, 0.03)){
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	margin: auto;
	width: calc(100% - (2 * #{$offset}));
	height: 100vh;
	content: '';
	background-image: repeating-linear-gradient(
					to right,
					$color,
					$color calc((100% / #{$columns}) - #{$gutter}),
					transparent calc((100% / #{$columns}) - #{$gutter}),
					transparent calc(100% / #{$columns})
	);
	background-size: calc(100% + #{$gutter}) 100%;
	z-index: 1000;
	pointer-events: none;
}

@mixin gradient($angle: 90, $startColor: $gradientStartColor, $endColor: $gradientEndColor, $startPoint: 0%, $endPoint: 100%) {
	background: #{$startColor};
	background: linear-gradient(#{$angle}deg, #{$startColor} $startPoint, #{$endColor} $endPoint);
}

@mixin lightning($color: $color-lightblue) {
	text-shadow:
			0.1em 0 0.5em rgba($color, 1),
			-0.1em 0 0.5em rgba($color, 1),
			0 0.1em 0.5em rgba($color, 1),
			0 -0.1em 0.5em rgba($color, 1),
			0.2em 0 1em rgba($color, 1),
			-0.2em 0 1em rgba($color, 1),
			0 0.2em 1em rgba($color, 1),
			0 -0.2em 1em rgba($color, 1)
		;
}